package asteroids.proyecto_final;
import android.os.Bundle;
import android.content.Intent;
import android.support.v4.app.FragmentActivity;
import android.util.Log;
import android.widget.ImageView;
import android.widget.TextView;
import android.media.MediaPlayer;
import android.view.View;

import static android.media.MediaPlayer.create;


/**
 * Created by gorsanmo on 12/11/15.
 */
public class show_image extends FragmentActivity {

    private MediaPlayer audioguia;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.mostrar_foto);

        Intent myIntent = getIntent(); // gets the previously created intent
        String image = myIntent.getStringExtra("image"); // will return "FirstKeyValue"
        String lugar = myIntent.getStringExtra("lugar");
        String audio = myIntent.getStringExtra("audio");
        Log.d("FIRST KEY", "--- VALORES ----"+image);
        ImageView img_show_image = (ImageView)findViewById(R.id.imagen_monumento);
        TextView textview = (TextView)findViewById(R.id.nombre_monumento);
        textview.setText(lugar);

        int id = getResources().getIdentifier("asteroids.proyecto_final:drawable/"+image, null, null);
        int id_audio = getResources().getIdentifier("asteroids.proyecto_final:raw/" + audio, null, null);
        audioguia = MediaPlayer.create(this,id_audio);

        Log.d("IDENTIFICADOR",String.valueOf(id));
        //ImageView img_show_image = (ImageView)findViewById(R.id.);
        //int id = getResources().getIdentifier("yourpackagename:drawable/" + StringGenerated, null, null);
        //int id = getResources().getIdentifier("asteroids.proyecto_final/drawable/ayuntamiento", null, null);
        //ImageView img_show_image = (ImageView)findViewById(R.id.place_visited);
        img_show_image.setImageResource(id);
        Log.d("INICIAR", "APLICACION INICIADA");
    }

    public void salir(View v)
    {
        this.finish();
    }

    @Override protected void onResume()
    {
        super.onResume();
        audioguia.start();
    }


    @Override protected void onPause()
    {
        super.onPause();
        audioguia.stop();
    }

    @Override protected void onSaveInstanceState(Bundle estadoGuardado)
    {
        super.onSaveInstanceState(estadoGuardado);
        if (audioguia !=null)
        {
            int pos = audioguia.getCurrentPosition();
            estadoGuardado.putInt("posicion",pos);
        }



    }

    @Override protected void onRestoreInstanceState(Bundle estadoguardado)
    {
        super.onRestoreInstanceState(estadoguardado);
        if (estadoguardado != null && audioguia != null)
        {
            int pos = estadoguardado.getInt("posicion");
            audioguia.seekTo(pos);
        }

    }

}
